This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1255987 - please update to libhackrf release 2015.07.2
please update to libhackrf release 2015.07.2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hackrf (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott K Logan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 18:21 EDT by Patrick C. F. Ernzer
Modified: 2015-12-03 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version: hackrf-2015.07.2-1.fc23 hackrf-2015.07.2-1.el7 hackrf-2015.07.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 15:21:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2015-08-22 18:21:50 EDT
could you please update the hackrf package to libhackrf release 2015.07.2 or later?

This will support the rad1o badge from Chaos Communication Camp 2015
(i.e. no more need to use HKRF-OLD mode)

relevant links:
http://greatscottgadgets.com/2015/08-11-rad1obadge/
http://rad1o.badge.events.ccc.de/
Comment 1 Scott K Logan 2015-08-24 17:38:31 EDT
Builds finished and release monitoring enabled. Hopefully the release monitoring will keep me from getting so far behind again.

Thanks,

--scott
Comment 2 Fedora Update System 2015-08-24 17:44:44 EDT
hackrf-2015.07.2-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14167
Comment 3 Fedora Update System 2015-08-24 17:44:54 EDT
hackrf-2015.07.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14168
Comment 4 Fedora Update System 2015-08-24 17:45:04 EDT
hackrf-2015.07.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14169
Comment 5 Fedora Update System 2015-08-24 17:45:14 EDT
hackrf-2015.07.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7778
Comment 6 Patrick C. F. Ernzer 2015-08-25 06:45:31 EDT
Thank you Scott!

One minor fix needed please;
https://github.com/rad1o/f1rmware/pull/29 had not made it upstream it seems. Fixed that with https://github.com/mossmann/hackrf/pull/212

Until that gets merged upstream, can you please patch the udev rule so that /usr/lib/udev/rules.d/53-hackrf.rules reads
ATTR{idProduct}=="cc15"
(i.e. lower case cc15) as a quick fix.

The other udev rules in the stream PR are only needed if reflashing the rad1o (normal users will update the on-rad1o software via storage mode), and can thus could wait until upstream acceptance.
Comment 7 Scott K Logan 2015-08-25 23:31:42 EDT
Is idProduct cc15 unique to the rad1o? If not, are we potentially breaking another device, or are ALL idProduct values ALWAYS lowercase (not just by convention, but programatically)?
Comment 8 Fedora Update System 2015-08-26 00:26:10 EDT
hackrf-2015.07.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hackrf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14168
Comment 9 Patrick C. F. Ernzer 2015-08-26 05:32:18 EDT
(In reply to Scott K Logan from comment #7)
> Is idProduct cc15 unique to the rad1o? If not, are we potentially breaking
> another device

The hexstring cc15 is indeed unique to the rad1o
http://wiki.openmoko.org/wiki/USB_Product_IDs
so the one line patch to the udev rules can definitely go into the Fedora package

> or are ALL idProduct values ALWAYS lowercase (not just by
> convention, but programatically)?

udev rules seem to need lowercase, c.f. PR 29 linked in Comment #6

The other two case changes in the upstream PR make the code consistent (other Vendor and Product IDs were all in lowercase. But those changes we can let be decided by upstream.
Comment 10 Fedora Update System 2015-08-26 11:19:39 EDT
hackrf-2015.07.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hackrf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7778
Comment 11 Fedora Update System 2015-08-26 13:25:12 EDT
hackrf-2015.07.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hackrf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14167
Comment 12 Fedora Update System 2015-08-26 13:27:52 EDT
hackrf-2015.07.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hackrf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14169
Comment 13 Fedora Update System 2015-12-03 15:21:22 EST
hackrf-2015.07.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-03 15:54:59 EST
hackrf-2015.07.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-03 17:49:04 EST
hackrf-2015.07.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.